Skip to main content
GET
/
posts
Search for post
curl --request GET \
  --url https://api.partoo.co/v2/posts \
  --header 'x-APIKey: <api-key>'
import requests

url = "https://api.partoo.co/v2/posts"

headers = {"x-APIKey": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-APIKey': '<api-key>'}};

fetch('https://api.partoo.co/v2/posts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "page": 1,
  "max_page": 10,
  "count": 287,
  "posts": [
    {
      "id": 34,
      "business_id": "5409c35a97bbc544d8e26737",
      "summary": "Wonderful post summary !",
      "schedule_time": "2020-01-01T12:00:00+02:00",
      "expiration_time": "2020-01-01T12:00:00+02:00",
      "validation_time": "2020-01-01T12:00:00+02:00",
      "post_medias": [
        {
          "media_url": [
            "https://example.com/1.png",
            "https://example.com/2.png"
          ]
        }
      ],
      "created_at": "2019-08-01T19:15:54.256000+02:00",
      "updated_at": "2019-09-01T15:12:35.256000+02:00",
      "created_on_partoo": false,
      "updated_on_partoo": false,
      "business_info": "Rick - HQ - 157 boulevard Macdonald, Paris",
      "post_insight": [
        {
          "name": "facebook__posts",
          "click_count": 1512,
          "view_count": 2012
        }
      ],
      "post_status": [
        {
          "name": "facebook__posts",
          "state": "live",
          "link": "www.partoo.co"
        }
      ],
      "offer_terms": "These are the conditions",
      "offer_code": "PROMO25",
      "cta_link": "www.partoo.co"
    }
  ]
}
{
"errors": {
"authentication": "User not authenticated"
}
}
{
"errors": {
"authorization": "Operation not allowed"
}
}
{
"errors": {
"json": "Resource not found"
}
}

Authorizations

x-APIKey
string
header
required

The authentication system on Partoo API is using API Key that should be put in the header of the request (the name of the header is x-APIKey). An api_key is linked to a user. This user's role will give you different access level to the API features.

Query Parameters

business__in
string[]

Filter by business ids. Use a comma-separated list to provide multiple ids.

Example:

"a1c9f37b4deca92f83b61d02,9f4e2a8c0d73b154e621bc97,c73b15e9fa42d60b3a8c21ef"

start_datetime
string

Filters Posts based on their start datetime.

The start datetime represents the moment on which a Post of type event/offer will become available. In case of Posts of type news, the start_datetime it will be compare to the creation date of the Post, as the field is not present in this context.

Example:

"2020-11-06T23:59:59"

end_datetime
string

Filter Posts based on their end datetime.

The end datetime represents the date on which the Post of type event/offer will expire. In case of Posts of type news, the end_datetime it will be compare to exactly one week after the creation date of the Post, as the field is not present in this context.

Example:

"2020-11-06T23:59:59"

summary
string

Filter Posts based on their description.

It returns Posts that contain in their description the given string. The text does not have to match perfectly.

state__in
enum<string>

Filter Posts based on its state.

Available options:
live,
to_configure,
pending,
scheduled,
error,
expired,
to_validate
topic_type
enum<string>

Filter Posts based on its type.

Available options:
standard,
event,
offer,
alert
topic_type__in
enum<string>

Filter Posts based on a list of different types.

Available options:
standard,
event,
offer,
alert
page
integer
default:1

Page number. Starts at 1. Any value lower than 1 will be considered as 1. For the number of items per page, see the per_page query parameter.

per_page
integer
default:30

Number of items to return per page. Currently limited to 100.

Required range: 1 <= x <= 100

Response

OK

page
integer

Current page number

Example:

1

max_page
integer

Last page number

Example:

10

count
integer

Number of resources complying with filters

Example:

287

posts
object[]

List of Post